Package com.google.javascript.jscomp

# Class FunctionInformationMap.Entry

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.google.javascript.jscomp.FunctionInformationMap.Entry

All Implemented Interfaces:
  `FunctionInformationMap.EntryOrBuilder`, `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`

Enclosing class:
  `FunctionInformationMap`

public static final class FunctionInformationMap.Entry extends com.google.protobuf.GeneratedMessageV3 implements FunctionInformationMap.EntryOrBuilder
Protobuf type `jscomp.FunctionInformationMap.Entry`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`FunctionInformationMap.Entry.Builder`
Protobuf type `jscomp.FunctionInformationMap.Entry`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPILED_SOURCE_FIELD_NUMBER`
`static final int`
`ID_FIELD_NUMBER`
`static final int`
`LINE_NUMBER_FIELD_NUMBER`
`static final int`
`MODULE_NAME_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final com.google.protobuf.Parser<FunctionInformationMap.Entry>`
`PARSER`
Deprecated.
`static final int`
`SIZE_FIELD_NUMBER`
`static final int`
`SOURCE_NAME_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getCompiledSource()`
`required string compiled_source = 8;`
`com.google.protobuf.ByteString`
`getCompiledSourceBytes()`
`required string compiled_source = 8;`
`static FunctionInformationMap.Entry`
`getDefaultInstance()`
`FunctionInformationMap.Entry`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`int`
`getId()`
`required int32 id = 2;`
`int`
`getLineNumber()`
`required int32 line_number = 4;`
`String`
`getModuleName()`
`required string module_name = 5;`
`com.google.protobuf.ByteString`
`getModuleNameBytes()`
`required string module_name = 5;`
`String`
`getName()`
`required string name = 7;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`required string name = 7;`
`com.google.protobuf.Parser<FunctionInformationMap.Entry>`
`getParserForType()`
`int`
`getSerializedSize()`
`int`
`getSize()`
`required int32 size = 6;`
`String`
`getSourceName()`
`required string source_name = 3;`
`com.google.protobuf.ByteString`
`getSourceNameBytes()`
`required string source_name = 3;`
`final com.google.protobuf.UnknownFieldSet`
`getUnknownFields()`
`boolean`
`hasCompiledSource()`
`required string compiled_source = 8;`
`int`
`hashCode()`
`boolean`
`hasId()`
`required int32 id = 2;`
`boolean`
`hasLineNumber()`
`required int32 line_number = 4;`
`boolean`
`hasModuleName()`
`required string module_name = 5;`
`boolean`
`hasName()`
`required string name = 7;`
`boolean`
`hasSize()`
`required int32 size = 6;`
`boolean`
`hasSourceName()`
`required string source_name = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static FunctionInformationMap.Entry.Builder`
`newBuilder()`
`static FunctionInformationMap.Entry.Builder`
`newBuilder(FunctionInformationMap.Entry prototype)`
`FunctionInformationMap.Entry.Builder`
`newBuilderForType()`
`protected FunctionInformationMap.Entry.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static FunctionInformationMap.Entry`
`parseDelimitedFrom(InputStream input)`
`static FunctionInformationMap.Entry`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Entry`
`parseFrom(byte[] data)`
`static FunctionInformationMap.Entry`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Entry`
`parseFrom(com.google.protobuf.ByteString data)`
`static FunctionInformationMap.Entry`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Entry`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static FunctionInformationMap.Entry`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Entry`
`parseFrom(InputStream input)`
`static FunctionInformationMap.Entry`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static FunctionInformationMap.Entry`
`parseFrom(ByteBuffer data)`
`static FunctionInformationMap.Entry`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<FunctionInformationMap.Entry>`
`parser()`
`FunctionInformationMap.Entry.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### ID_FIELD_NUMBER

public static final int ID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SOURCE_NAME_FIELD_NUMBER

public static final int SOURCE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### LINE_NUMBER_FIELD_NUMBER

public static final int LINE_NUMBER_FIELD_NUMBER

See Also:
  - Constant Field Values

### MODULE_NAME_FIELD_NUMBER

public static final int MODULE_NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### SIZE_FIELD_NUMBER

public static final int SIZE_FIELD_NUMBER

See Also:
  - Constant Field Values

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### COMPILED_SOURCE_FIELD_NUMBER

public static final int COMPILED_SOURCE_FIELD_NUMBER

See Also:
  - Constant Field Values

### PARSER

@Deprecated public static final com.google.protobuf.Parser<FunctionInformationMap.Entry> PARSER
Deprecated.

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### hasId

public boolean hasId()
`required int32 id = 2;`

Specified by:
  `hasId` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the id field is set.

### getId

public int getId()
`required int32 id = 2;`

Specified by:
  `getId` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The id.

### hasSourceName

public boolean hasSourceName()
`required string source_name = 3;`

Specified by:
  `hasSourceName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the sourceName field is set.

### getSourceName

public String getSourceName()
`required string source_name = 3;`

Specified by:
  `getSourceName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The sourceName.

### getSourceNameBytes

public com.google.protobuf.ByteString getSourceNameBytes()
`required string source_name = 3;`

Specified by:
  `getSourceNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for sourceName.

### hasLineNumber

public boolean hasLineNumber()
`required int32 line_number = 4;`

Specified by:
  `hasLineNumber` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the lineNumber field is set.

### getLineNumber

public int getLineNumber()
`required int32 line_number = 4;`

Specified by:
  `getLineNumber` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The lineNumber.

### hasModuleName

public boolean hasModuleName()
`required string module_name = 5;`

Specified by:
  `hasModuleName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the moduleName field is set.

### getModuleName

public String getModuleName()
`required string module_name = 5;`

Specified by:
  `getModuleName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The moduleName.

### getModuleNameBytes

public com.google.protobuf.ByteString getModuleNameBytes()
`required string module_name = 5;`

Specified by:
  `getModuleNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for moduleName.

### hasSize

public boolean hasSize()
`required int32 size = 6;`

Specified by:
  `hasSize` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the size field is set.

### getSize

public int getSize()
`required int32 size = 6;`

Specified by:
  `getSize` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The size.

### hasName

public boolean hasName()
`required string name = 7;`

Specified by:
  `hasName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`required string name = 7;`

Specified by:
  `getName` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`required string name = 7;`

Specified by:
  `getNameBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for name.

### hasCompiledSource

public boolean hasCompiledSource()
`required string compiled_source = 8;`

Specified by:
  `hasCompiledSource` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  Whether the compiledSource field is set.

### getCompiledSource

public String getCompiledSource()
`required string compiled_source = 8;`

Specified by:
  `getCompiledSource` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The compiledSource.

### getCompiledSourceBytes

public com.google.protobuf.ByteString getCompiledSourceBytes()
`required string compiled_source = 8;`

Specified by:
  `getCompiledSourceBytes` in interface `FunctionInformationMap.EntryOrBuilder`
Returns:
  The bytes for compiledSource.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap.Entry parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static FunctionInformationMap.Entry parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static FunctionInformationMap.Entry parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public FunctionInformationMap.Entry.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static FunctionInformationMap.Entry.Builder newBuilder()

### newBuilder

public static FunctionInformationMap.Entry.Builder newBuilder(FunctionInformationMap.Entry prototype)

### toBuilder

public FunctionInformationMap.Entry.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected FunctionInformationMap.Entry.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static FunctionInformationMap.Entry getDefaultInstance()

### parser

public static com.google.protobuf.Parser<FunctionInformationMap.Entry> parser()

### getParserForType

public com.google.protobuf.Parser<FunctionInformationMap.Entry> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public FunctionInformationMap.Entry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`